// swift-tools-version: 6.0
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "EcgSynKit",
    products: [
        // Products define the executables and libraries a package produces, making them visible to other packages.
        .library(
            name: "EcgSynKit",
            targets: ["EcgSynKit"]),
    ],
    dependencies: [
        .package(url: "https://github.com/apple/swift-algorithms", from: "1.2.0"),
        // .package(url: "https://github.com/AudioKit/KissFFT.git", from: "1.0.0")
        .package(path: "./Packages/KissFFT/")
    ],
    targets: [
        // Targets are the basic building blocks of a package, defining a module or a test suite.
        // Targets can depend on other targets in this package and products from dependencies.
        .target(
          name: "PFFFT",
          publicHeadersPath: "include",
            cSettings: [
                .define("PFFFT_SCALVEC_ENABLED", to: "1"),
                .define("_USE_MATH_DEFINES"),
                .define("NDEBUG"),
                .unsafeFlags(["-O3", "-std=c99"]),
                .unsafeFlags(["-mavx"], .when(platforms: [.linux, .macOS])),
            ]
        ),
        .target(
          name: "EcgSynKit",
          dependencies: [
            .target(name: "PFFFT"),
            .product(name: "Algorithms", package: "swift-algorithms"),
            .product(name: "KissFFT", package: "kissfft")
          ]
        ),
        .testTarget(
            name: "EcgSynKitTests",
            dependencies: ["EcgSynKit"]
        ),
    ]
)
